var $viewType;
var $properties;
var $data;

function init(args) {

    var component       = args.setting;
    var data            = args.data;
    var locale          = Contexts.getAccountContext().locale;
    var inputProperties = component.input_list[0].input_properties;
    var initialValue    = inputProperties.initial_value[locale];

    $viewType = args.imfr_sp_view_type;

    $properties = {
        label         : component.item_properties.labels[0][locale],
        input_id      : component.input_list[0].input_id,
        max_length    : inputProperties.max_length,
        data_type     : component.input_list[0].input_data_type,
       label_class   : ''
    };

    if ( $viewType === 'input' ) {
        $data = {
            value : initialValue
        };
        if (typeof data[$properties.input_id] !== 'undefined') {
            $data.value = data[$properties.input_id];
        }
    } else {
        $data = {
            value : ''
        };
        if( typeof data[ $properties.input_id ] !== 'undefined' ){
            $data.value = data[ $properties.input_id ];
        }
    }
    if ( inputProperties.required ) {
        $properties.label_class = 'imui-smart-ui-required';
    }
}
