(function($){

    formaItems.sample_item_imwComment = {
        item_id : '',
        item_type : 'sample_item_imwComment',
        item_exist_dbinput : true,
        item_view_type : {
            REGISTRATION : '0',
            EDIT : '0',
            REFERENCE : '0'
        },
        style : {
            top : 0,
            left : 0,
            width : 100,
            height : 100,
            zindex : 0
        },
        item_properties : {
            labels : [{}],
            label_size : [ 100 ],
            label_styles : [{
                label_background_color : '',
                label_font_color : '',
                label_font_size : 13,
                label_font_family : {},
                label_font_bold : false,
                label_font_italic : false,
                label_font_underline : false
            }]
        },
        input_list : [{
            input_id : '',
            input_data_type : '',
            input_view_names : {},
            input_dbinput : true,
            input_properties : {
                tab_index : 0,
                min_length : 0,
                max_length : 500,
                input_field_size : 300,
                input_field_height : 80,
                initial_value : {},
                required : false,
                only_ascii : true,
                input_background_color : '',
                border_style : '0',
                border_shadow : true,
                no_frames : false,
                bottom_only : false,
                border_color : '',
                input_font_color : '',
                input_font_size : 13,
                input_font_family : {},
                input_font_bold : false,
                input_font_italic : false,
                input_font_underline : false,
                custom_input_chk : false,
                custom_chk_format : '',
                custom_err_msg : {}
            }
        }]
    };
    
    formaItems.addItemDef('sample_item_imwComment', formaItems.sample_item_imwComment, function( model, locales ){
    
        $.extend(true,this,model);
        this.item_id = formaItems.getRandomString(12);
        
        return this;
    });
    
    formaItems.addSetDefaultInputId( 'sample_item_imwComment', function ( component, length) {
      if (!component.input_list[0].input_id || component.input_list[0].input_id === '') {
        component.input_list[0].input_id = 'comment' + length ;
      }
    });
    
    formaItems.addPropertiesValidation('sample_item_imwComment', function( result ){
    
        $( 'div#imfr_item_prop_tabs' ).changeErrorStyle( result.target );
    
    });
    

})(jQuery);
